mod grid;
mod player;
mod room;

use grid::Grid;
use player::Player;
use room::Room;

#[derive(Debug, Default)]
pub struct HouseState {
	room: Room,
	//grid: Grid,
	player: Player
}

pub fn draw(state: &crate::State, _engine: &comfy::EngineContext) {
	//Draw House
	state.house.room.draw();

	//Draw Grid
	//state.house.grid.draw();

	//Draw Player
	state.house.player.draw();
}

pub fn update(state: &mut crate::State, _engine: &mut comfy::EngineContext) {
	state.house.player.update(&state.house.room.grid);
}
